
Redmine - Patch #41934

Fix random test failure in ProjectsControllerTest::test_post_copy_should_copy_requested_items

due to missing :issue_categories fixture

2024-12-04 03:29 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.5   

Description

Test failure:

Failure:

ProjectsControllerTest#test_post_copy_should_copy_requested_items [test/functional/projects_contro

ller_test.rb:1469]:

All issues were not copied.

Expected: 7

  Actual: 4

bin/rails test test/functional/projects_controller_test.rb:1445

 Patch:

diff --git a/test/functional/projects_controller_test.rb b/test/functional/projects_controller_tes

t.rb

index d1755be59..41b8fb6b9 100644

--- a/test/functional/projects_controller_test.rb

+++ b/test/functional/projects_controller_test.rb

@@ -26,7 +26,7 @@ class ProjectsControllerTest < Redmine::ControllerTest

            :enabled_modules, :enumerations, :boards, :messages,

            :attachments, :custom_fields, :custom_values, :time_entries,

            :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,

-           :roles, :queries

+           :roles, :queries, :issue_categories

   include Redmine::I18n

Associated revisions

Revision 23352 - 2024-12-04 03:38 - Go MAEDA

Fix random test failure in ProjectsControllerTest::test_post_copy_should_copy_requested_items due to missing :issue_categories fixture (#41934).

Patch by Go MAEDA (user:maeda).

Revision 23358 - 2024-12-08 06:04 - Go MAEDA

Merged r23352 from trunk to 6.0-stable (#41934).

Revision 23359 - 2024-12-08 06:05 - Go MAEDA

Merged r23352 from trunk to 5.1-stable (#41934).

History

#1 - 2024-12-04 03:39 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the fix in r23352.
https://www.redmine.org/projects/redmine/repository/svn/revisions/23352


#2 - 2024-12-08 06:05 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23359.
